OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class NetworkInterfaceNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.UnsupportedOperationException
                      org.opennms.netmgt.poller.monitors.NetworkInterfaceNotSupportedException

All Implemented Interfaces:
  java.io.Serializable

public class NetworkInterfaceNotSupportedException
extends java.lang.UnsupportedOperationException

This exception is generated by a service monitor when the poller framework passes the interface to the monitor. If the monitor does not support the interface type an exception of this type will prevent it from being passed to the monitor again.

Author:
  Weave , OpenNMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`NetworkInterfaceNotSupportedException()` Constructs a new exception instance.
`NetworkInterfaceNotSupportedException(java.lang.String msg)` Constructs a new exception instance with the specific message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetworkInterfaceNotSupportedException

    public NetworkInterfaceNotSupportedException()

  Constructs a new exception instance.

### NetworkInterfaceNotSupportedException

    public NetworkInterfaceNotSupportedException(java.lang.String msg)

  Constructs a new exception instance with the specific message

Parameters:
  `msg` - The exception message.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.